# -*- coding: utf-8 -*-

#importation des packages
import sqlite3, gradio



#fonction renvoyant les résultats
def fonction_requete(requete):
    try:
        #établir une connexion avec la base
        connexion = sqlite3.connect("./db_produits.db")
        #envoyer la requête
        res = connexion.execute(requete)
        #récupérer les résultats
        #on a une liste de tuples
        reponse = res.fetchall()
        #fermer
        connexion.close()
    except:
        #liste vide si erreur
        reponse = 'Erreur'
    #renvoyer
    return reponse


#création de l'interface
mon_interface = gradio.Interface(
    #fonction callback
    fn = fonction_requete,
    #champs en entrée - éditeur multi-lignes
    inputs = [gradio.TextArea(label="Requete",lines=5)],
    outputs = gradio.TextArea(label="Sortie",lines=10,max_lines=100),
    title = "Acces base de donnees SQLITE")

#lancement
mon_interface.launch(server_name="0.0.0.0",server_port=1664)